package com.example.afrishop_v3.models;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Formula;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
@Getter
@Setter
public class Hashtag extends  Model{
    @Column(unique = true)
    private String name;

    @Formula(value = "(SELECT IFNULL(COUNT(c.id),0) FROM post_hashtag c WHERE c.hashtag_id=id)")
    private int count;


    public String getName() {
        return name;
    }
}
