package com.example.afrishop_v3.models;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Formula;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
@Getter
@Setter
public class Tag extends Model {
    @ManyToOne(cascade = CascadeType.ALL)
    protected Item item;

    protected String tagName;

    @Formula(value = "(SELECT IFNULL(COUNT(p.id),0) FROM content_tag p WHERE p.tag_id=id)")
    protected int posts;

    public String getTagName() {
        return tagName;
    }

    public Item getItem() {
        return item;
    }

    public void setItem(Item item) {
        this.item = item;
    }
}
